#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.4.2
%define		qtver		5.15.2
%define		kpname		kde-cli-tools
Summary:	Tools based on KDE Frameworks 5 to better interact with the system
Name:		kp6-%{kpname}
Version:	6.4.2
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	70ca0b95a42b1af1a1a83949029cc8bc
URL:		https://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-extra-cmake-modules >= 1.4.0
BuildRequires:	kf6-kcmutils-devel
BuildRequires:	kf6-kconfig-devel
BuildRequires:	kf6-kdesu-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kiconthemes-devel
BuildRequires:	kf6-kitemmodels-devel
BuildRequires:	kf6-kpty-devel
BuildRequires:	kf6-kwindowsystem-devel
BuildRequires:	kp6-plasma-workspace-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	kp5-%{kpname} < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools based on KDE Frameworks 5 to better interact with the system.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,sr@latin}

%find_lang kde-cli-tools --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f kde-cli-tools.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kde-open5
%attr(755,root,root) %{_bindir}/kdecp5
%attr(755,root,root) %{_bindir}/kdemv5
%attr(755,root,root) %{_bindir}/keditfiletype5
%attr(755,root,root) %{_bindir}/kinfo
%attr(755,root,root) %{_bindir}/kioclient5
%attr(755,root,root) %{_bindir}/kmimetypefinder5
%attr(755,root,root) %{_bindir}/kstart5
%attr(755,root,root) %{_bindir}/ksvgtopng5
%attr(755,root,root) %{_bindir}/kbroadcastnotification
%attr(755,root,root) %{_bindir}/kde-open
%attr(755,root,root) %{_bindir}/kdecp
%attr(755,root,root) %{_bindir}/kdemv
%attr(755,root,root) %{_bindir}/keditfiletype
%attr(755,root,root) %{_bindir}/kioclient
%attr(755,root,root) %{_bindir}/kmimetypefinder
%attr(755,root,root) %{_bindir}/kstart
%attr(755,root,root) %{_bindir}/ksvgtopng
%attr(755,root,root) %{_libexecdir}/kf6/kdeeject
%attr(755,root,root) %{_libexecdir}/kf6/kdesu
%attr(755,root,root) %{_bindir}/plasma-open-settings
%{_desktopdir}/org.kde.plasma.settings.open.desktop
%{_mandir}/man1/kdesu.1*
%lang(ca) %{_mandir}/ca/man1/kdesu.1*
%lang(de) %{_mandir}/de/man1/kdesu.1*
%lang(es) %{_mandir}/es/man1/kdesu.1*
%lang(et) %{_mandir}/et/man1/kdesu.1*
%lang(id) %{_mandir}/id/man1/kdesu.1*
%lang(it) %{_mandir}/it/man1/kdesu.1*
%lang(nb) %{_mandir}/nb/man1/kdesu.1*
%lang(nl) %{_mandir}/nl/man1/kdesu.1*
%lang(pt) %{_mandir}/pt/man1/kdesu.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kdesu.1*
%lang(ru) %{_mandir}/ru/man1/kdesu.1*
%lang(sl) %{_mandir}/sl/man1/kdesu.1*
%lang(sr) %{_mandir}/sr/man1/kdesu.1*
%lang(sv) %{_mandir}/sv/man1/kdesu.1*
%lang(uk) %{_mandir}/uk/man1/kdesu.1*
%{_desktopdir}/org.kde.keditfiletype.desktop
%attr(755,root,root) %{_bindir}/kde-inhibit
%lang(fr) %{_mandir}/fr/man1/kdesu.1*
%lang(sr@latin) %{_mandir}/sr@latin/man1/kdesu.1*
%lang(tr) %{_mandir}/tr/man1/kdesu.1*
%{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_filetypes.so
%{_desktopdir}/kcm_filetypes.desktop
%{zsh_compdir}/_kde-inhibit
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-kde-cli-tools.git;a=log;h=master

* Sat Jul 12 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5a9d28d
- relup

* Tue Jul 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 442b224
- updated to 6.4.2

* Tue Jun 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8924d55
- updated to 6.4.1

* Tue Jun 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 202ea9c
- updated to 6.4.0

* Wed May 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 04990b7
- updated to 6.3.5

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 409adf7
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3f92cb1
- updated to 6.3.3

* Tue Mar 04 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 70773be
- relup

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fbc8cd3
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5d639a2
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2715ad4
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 25bddfd
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9a599a4
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 459a88e
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9a1fbf6
- updated to 6.2.2

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4913c47
- relup

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d12b25d
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7eeff55
- updated to 6.2.0

* Sat Sep 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 63759eb
- relup

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0d643a3
- updated to 6.1.5

